/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#if !defined(AFX_TINYCAD_H__AC021B43_46B6_4350_8BEB_1EC76FE565B5__INCLUDED_)
#define AFX_TINYCAD_H__AC021B43_46B6_4350_8BEB_1EC76FE565B5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

class CLibraryFile;
class CDesignFileSymbol;
class CLibraryFileSymbol;

/////////////////////////////////////////////////////////////////////////////
// CTinyCadApp:
// See TinyCad.cpp for the implementation of this class
//

class CTinyCadApp : public CWinApp
{
protected:

	// The document template for all TinyCadDoc types
	CMultiDocTemplate* m_pDocTemplate;

	// The document template for library viewing/editing
	CMultiDocTemplate* m_pLibTemplate;

	// The linked list of libraries
	CLibraryFile	*m_libhead;


	// Write the initial data to the registry
	void RegistryInit();

	// Read the settings from the registry
	void RegistryRead();

	BOOL m_Maximize;
	BOOL m_MdiMaximize;
	BOOL m_PrintBandW;
	BOOL m_ShowPosition;
	int	m_PrintScale;

public:
	void editSymbol( CLibraryFile *library, CLibraryFileSymbol &symbol );
	void editLibrary( CLibraryFile *library );

	CTinyCadApp();

	void SetMaximize( BOOL m );
	void SetMdiMaximize( BOOL m );
	void SetPrintBandW( BOOL m );
	void SetPrintScale( int m );
	BOOL GetMdiMaximize() { return m_MdiMaximize; }
	BOOL GetPrintBandW() { return m_PrintBandW; }
	int GetPrintScale() { return m_PrintScale; }


	////// The Linked list of Libraries //////

	CLibraryFile* GetLibHead()
	{
		return m_libhead;
	}

	void SetLibHead( CLibraryFile *lib )
	{
		m_libhead = lib;
	}


	CLibraryFileSymbol *Extract(const char *key);
	void ResetAllSymbols();
	bool IsLibInUse( CLibraryFile *lib );



// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTinyCadApp)
	public:
	virtual BOOL InitInstance();
	virtual BOOL OnIdle(LONG lCount);
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CTinyCadApp)
	afx_msg void OnAppAbout();
	afx_msg void OnLiblib();
	afx_msg void OnHelpGototinycadwebsite();
	afx_msg void OnHelpHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


extern int Message(int Resource,int Type = MB_ICONINFORMATION | MB_OK, const char *NameString = "");
extern CString NameLength(const char *,int);


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TINYCAD_H__AC021B43_46B6_4350_8BEB_1EC76FE565B5__INCLUDED_)
